---
search:
  tags:
    - Pipelines
    - DELETE
seo:
  description: >-
    D… Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}
    endpoint in the Platform API.
sidebar:
  label: Delete a pipeline stage
  badge: DELETE
title: Delete a pipeline stage
type: openapi-operation
---
Deletes a stage and removes its components from the pipeline.

`DELETE /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}/stages/{pipeline_stage_id}`

**Responses**

- `204` — Pipeline stage deleted successfully
- `default` — Error
